routes/web.php
<?php

use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\App;
use Illuminate\Support\Facades\Route;
use Illuminate\Support\Facades\Auth;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('sword');
});

Route::get('/ohs', function () {
    return view('one handed sword');
});

Route::get('/ths', function () {
    return view('two-handed sword');
});
Route::get('/feedback', function () {
    return view('feedback');
});


Route::get('/db_view', function () {
    return view('db_view');
});

Route::get('contact-form', 'testerController@create');
Route::post('contact-form', 'App\Http\Controllers\testerController@store');

Route::name('user.')->group(function(){
    Route::view('/private','/loginout/private')->middleware('auth')->name('private');

    Route::get('/login',function(){
        if(Auth::check())
        {
            return redirect(route('user.private'));
        }
        return view('/loginout/login');
    })->name('login');

    Route::post('/login',[\App\Http\Controllers\LoginController::class,'login']);
   
    Route::get('/logout',function(){
        Auth::logout();
        setcookie('name',$_COOKIE['name'],time()-200);
        return redirect(route('user.login'));
    })->name('logout');
    
    Route::get('/registration',function(){
        if(Auth::check())
        {
            return redirect(route('user.private'));
        }
        return view('/loginout/registration');
    })->name('registration');

    Route::post('/registration',[\App\Http\Controllers\RegistrationController::class,'save']);

    Route::get('/login/{locale}', function ($locale) {
        if (! in_array($locale, ['en', 'ru'])) {
            abort(400);
        }
    
        App::setLocale($locale);
        return view('/loginout/login');
        //
    });

    Route::get('/registration/{locale}', function ($locale) {
        if (! in_array($locale, ['en', 'ru'])) {
            abort(400);
        }
    
        App::setLocale($locale);
        return view('/loginout/registration');
        //
    });

});

app/Models/User.php
<?php

namespace App\Models;

use Illuminate\Contracts\Auth\MustVerifyEmail;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Foundation\Auth\User as Authenticatable;
use Illuminate\Notifications\Notifiable;
use Laravel\Sanctum\HasApiTokens;
use Illuminate\Support\Facades\Hash;

class User extends Authenticatable
{
    use HasApiTokens, HasFactory, Notifiable;

    /**
     * The attributes that are mass assignable.
     *
     * @var array<int, string>
     */
    protected $fillable = [
        'name',
        'email',
        'password',
    ];

    public function setPasswordAttribute($password)
    {
        $this->attributes['password']=Hash::make($password);
    }
    /**
     * The attributes that should be hidden for serialization.
     *
     * @var array<int, string>
     */
    protected $hidden = [
        'password',
        'remember_token',
    ];

    /**
     * The attributes that should be cast.
     *
     * @var array<string, string>
     */
    protected $casts = [
        'email_verified_at' => 'datetime',
    ];
}

app/Models/tester.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class tester extends Model
{
    use HasFactory;
    protected $fillable = [
        'name', 'email'
    ];
}

app/Http/Controllers/Controller.php
<?php

namespace App\Http\Controllers;

use Illuminate\Foundation\Auth\Access\AuthorizesRequests;
use Illuminate\Foundation\Bus\DispatchesJobs;
use Illuminate\Foundation\Validation\ValidatesRequests;
use Illuminate\Routing\Controller as BaseController;

class Controller extends BaseController
{
    use AuthorizesRequests, DispatchesJobs, ValidatesRequests;
}

app/Http/Controllers/LoginController.php
<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Auth;
use App\Models\User;

class LoginController extends Controller
{
    public function login(Request $request)
    {
        $fromFields = $request->only(['email','password']);
        if(Auth::attempt($fromFields))
        {
            $name=User::where('email',$fromFields['email'])->value('name');
            setcookie('name',$name,time()+300);
            return redirect()->intended(route('user.private'));
        }
        return redirect(route('user.login'))->withErrors([
            'email'=>'Can not autorisate, try again']);
    }
    //
}

app/Http/Controllers/RegistrationController.php
<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use App\Models\User;
use Illuminate\Support\Facades\Auth;

class RegistrationController extends Controller
{
    public function save(Request $request)
    {

        if(Auth::check())
        {
            return redirect(route('user.private'));
        }

        $validation = $request->validate(
            [
                'name'=>'required',
                'email'=>'required|email',
                'password'=>'required',
            ]);
        $user = User::create($validation);
        if($user)
        {
            Auth::login($user);
            setcookie('name',$validation['name'],time()+300);
            return redirect(route('user.private'));
        }
        return redirect(route('user.login'))->withErrors([
            'formError'=>'Problem with save user'
        ]);
    }
    //
}

app/Http/Controllers/testerController.php
<?php

namespace App\Http\Controllers;
use Illuminate\Http\Request;
use App\Models\tester;

class testerController extends Controller
{
    public function create() { 

        return view('db_view'); 
       }  
  
       public function store(Request $request) { 
        $contact = new tester;
  
        $contact->name = $request->name;
        $contact->email = $request->email;
        $contact->save();
        
        return response()->json(['success'=>'Form is successfully submitted!']);
  
      }
}

resources/views/db_view.blade.php
<html lang="en">
<head>
    
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.0/css/bootstrap.min.css">
</head>
<body>

<div class="container panel panel-default ">
        
    <form id="contactForm">
        <div class="form-group">
            <input type="text" name="name" class="form-control" placeholder="Enter Name" id="name">
        </div>

        <div class="form-group">
            <input type="text" name="email" class="form-control" placeholder="Enter Email" id="email">
        </div>
        <div class="form-group">
            <button class="btn btn-success" id="submit">Submit</button>
        </div>
        
    </form>
    
</div>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.2.1/jquery.js"></script>

   <script>

    $('#contactForm').on('submit',function(event){
        event.preventDefault();

        let name = $('#name').val();
        let email = $('#email').val();
        
        $.ajax({
          url: "/contact-form",
          type:"POST",
          data:{
            "_token": "{{ csrf_token() }}",
            name:name,
            email:email,
            
          },
          success:function(response){
            console.log(response);
          },
         });
         
         $('#name').val('');
         $('#email').val('');
        });
      </script>
 </body>
</html>

resources/views/feedback.blade.php
<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
    <head >
    <link href="form.css" rel="stylesheet" />
    
    </head>
    
    <body>
		<p></p>
	<form class="myForm" method="POST" action="feedback.php">
		<div>
			<label>Name<font color="red">*</font></label>
			<input required name="name" type="text"/>
		</div>
		<div >
			<label>Email<font color="red">*</font></label>
			<input required name="email" type="email"/>
		</div>
	    <div >
			<label>Phone<font color="red">*</font></label>
			<input name="phone" type="text"/>
		</div>
	    <input value="Отправить" name="butSub" type="submit" >
	</form>
    </body>
</html>

resources/views/form1.blade.php
<html>
<head>
<link href="../css/form.css" rel="stylesheet" />

</head>

<body>
<script type="text/javascript">
	function validateName(phone){
 		var regex = /^[A-Z,А-Я][a-z,а-я]*$/;
 		return regex.test(phone);
	}
	function valid() {
		
		var name=document.getElementById("name");
		var email=document.getElementById("email");
		var password=document.getElementById("password");
		var weight=document.getElementById("weight");
		var phone=document.getElementById("tphone");

		if (!name.value) {
			alert('Пожалуйста, введите Ваше имя');
			name.style.border="2px solid red";
			return false;
		}
		if (!validateName(name.value)) {
			alert('Пожалуйста, введите Ваше имя');
			name.style.border="2px solid red";
			return false;
		}
		
		if (!email.value) {
		alert('Пожалуйста, введите ваш email');
			email.style.border="2px solid red";
			return false;
		}

		if(!password.value)
		{
			alert('Пожалуйста, введите ваш пароль');
			password.style.border="2px solid red";
			return false;
		}
		if(password.value.length<3)
		{
			alert('Пароль должен быть не меннее 3 занков');
			password.style.border="2px solid red";
			return false;
		}

		if(weight.value>300)
		{
			alert('Вес должен быть не более 300');
			weight.style.border="2px solid red";
			return false;
		}
		if(!phone.value)
		{
			alert('Пожалуйста, введите номер телефона');
			phone.style.border="2px solid red";
			return false
		}
		if(!validatePhone(phone))
		{
			alert('Пожалуйста, введите номер телефона');
			phone.style.border="2px solid red";
			return false;
		}
		return true;

	};

	
</script>

<form action="swrod.html" onsubmit="return valid();">
   <div id="inp">
        <label>Name:<font color="red">*</font></label>
        <input  type="text" id="name"/>
	</div>
	<div id="inp">
        <label>E-mail:<font color="red">*</font></label>
        <input type="email" id="email"/>
	</div>
	<div id="inp">
		<label>Password:<font color="red">*</font></label>
        <input type="text" id="password"/>
	</div>
	<div id="inp">

		<label>weight:</label>
        <input type="number" id="weight"/>
	</div>
	<div id="inp">
		<label>Phone:<font color="red">*</font></label>
		<input type="text" id="tphone" />
	</div>
	<div id="inp">
        <button type="submit">Submit</button>
	</div>

</form>


</body>
</html>

resources/views/form2.blade.php
<html>
    <head>
    <link href="./form.css" rel="stylesheet" />
    
    </head>
    
    <body>
<form action="swrod.html"">
<div id="inp">
    <label>Name:<font color="red">*</font></label>
    <input required type="text" id="name"/>
</div>
<div id="inp">
    <label>E-mail:<font color="red">*</font></label>
    <input required type="email" id="email"/>
</div>
<div id="inp">
    <label>Password:<font color="red">*</font></label>
    <input required type="text" id="password"/>
</div>
<div id="inp">
    <button type="submit">Submit</button>
</div>

</form>


</body>
</html>

resources/views/loginout/login.blade.php
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
<head>
<link href="../css/form.css" rel="stylesheet" />
<meta name ="csrf-token" content="{{csrf_token()}}">
</head>

<body>
<script type="text/javascript">
	
	function valid() {
		
		
		var email=document.getElementById("email");
		var password=document.getElementById("password");
		

		
		
		if (!email.value) {
		alert('Пожалуйста, введите ваш email');
			email.style.border="2px solid red";
			return false;
		}

		if(!password.value)
		{
			alert('Пожалуйста, введите ваш пароль');
			password.style.border="2px solid red";
			return false;
		}
		if(password.value.length<3)
		{
			alert('Пароль должен быть не меннее 3 занков');
			password.style.border="2px solid red";
			return false;
		}

		
		return true;

	};

	
</script>
<h1>{{__('login_lang.login')}}</h1>
<form method="POST" action="{{route('user.login')}}" >
	@csrf
	
	<div id="inp">
        <label>{{__('login_lang.email')}}<font color="red">*</font></label>
        <input name="email" type="email" id="email"/>
	</div>
	@error('email')
	<div class="alert alert-danger">{{$message}}</div>
	@enderror
	<div id="inp">
		<label>{{__('login_lang.password')}}<font color="red">*</font></label>
        <input name="password" type="text" id="password"/>
	</div>
	@error('password')
	<div class="alert alert-danger">{{$message}}</div>
	@enderror
	
	<div id="inp">
        <button type="submit">Submit</button>
	</div>

</form>


</body>
</html>

resources/views/loginout/private.blade.php
<html>
<head>
<link href="../css/form.css" rel="stylesheet" />

</head>

<body>
<h1>Hello, {{$_COOKIE['name']}},choosen  undead<h1>



</body>
</html>

resources/views/loginout/registration.blade.php
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
<head>
<link href="../css/form.css" rel="stylesheet" />
<meta name ="csrf-token" content="{{csrf_token()}}">
</head>

<body>
<script type="text/javascript">
	
	function valid() {
		
		var name=document.getElementById("name");
		var email=document.getElementById("email");
		var password=document.getElementById("password");
		

		
		if (!name.value) {
			alert('Пожалуйста, введите Ваше имя');
			name.style.border="2px solid red";
			return false;
		}
		if (!email.value) {
		alert('Пожалуйста, введите ваш email');
			email.style.border="2px solid red";
			return false;
		}

		if(!password.value)
		{
			alert('Пожалуйста, введите ваш пароль');
			password.style.border="2px solid red";
			return false;
		}
		if(password.value.length<3)
		{
			alert('Пароль должен быть не меннее 3 занков');
			password.style.border="2px solid red";
			return false;
		}

		
		return true;

	};

	
</script>
<h1>{{__('login_lang.registration')}}</h1>
<form method="POST" action="{{route('user.registration')}}" >
	@csrf
	<div id="inp">
        <label>{{__('login_lang.name')}}<font color="red">*</font></label>
        <input  type="text" name="name" id="name"/>
	</div>
	@error('name')
	<div class="alert alert-danger">{{$message}}</div>
	@enderror
	<div id="inp">
        <label>{{__('login_lang.email')}}<font color="red">*</font></label>
        <input name="email" type="email" id="email"/>
	</div>
	@error('email')
	<div class="alert alert-danger">{{$message}}</div>
	@enderror
	<div id="inp">
		<label>{{__('login_lang.password')}}<font color="red">*</font></label>
        <input name="password" type="text" id="password"/>
	</div>
	@error('password')
	<div class="alert alert-danger">{{$message}}</div>
	@enderror
	
	<div id="inp">
        <button type="submit">Submit</button>
	</div>

</form>


</body>
</html>

resources/views/one handed sword.blade.php
<head>
  <link href="/css/sword.css" rel="stylesheet">
  <style>
    h1 {
      font-size: 40px;
      font-family: Verdana, Arial, Helvetica, sans-serif;
      color: red;
    }

    h3 {
      font-family: Algerian;
      color: brown
    }
  </style>
</head>

<body>
 <div><p><strong style="color: orange">Одноручный меч</strong> - вид холодного оружия - меча, который удерживали одной рукой.
	<br>Одноручный меч, <em style="color: black; size = 250px">как правило</em>, короче и легче двуручного меча</p>	
  <img  src="ohs.jpg"/>
 </div>
<a href="/"><h1>/// Go back</h1></a>
</body>

resources/views/sword.blade.php
<head>
  <link rel="stylesheet" href="../css/sword.css">
  <style>
    h1 {
      font-size: 40px;
      font-family: Verdana, Arial, Helvetica, sans-serif;
      color: red;
    }

    h3 {
      font-family: Algerian;
      color: brown
    }
  </style>
</head>

<body>
  <h1><em>Люблю</em> бить людей <strong>хЗ</strong></h1>
  <div>
    <p><strong>Меч</strong> - вид холодного (белого) оружия с прямым клинком.</p>
    <img src="https://w0.peakpx.com/wallpaper/136/675/HD-wallpaper-sword-of-the-warrior-warrior-dark-art-dark-weapon-skull-sword.jpg"/> 
  </div>
  <div>
    <h3>Виды мечей:</h3>
    <ul>
      <a href="/ohs">
        <li>Одноручный</li>
      </a>
      <a href="/ths">
        <li>Двуручный</li>
      </a>
    </ul>
  </div>
  <div>
    <h3>Sword can:</h3>
    <ul>
      <a href="#prick">
        <li>Колоть</li>
      </a>
      <a href="#cut">
        <li>Рубить</li>
      </a>
      <a href="#Mordhau">
        <li>Перехватить за лезвие и использовать как клевец</li>
      </a>
    </ul>
  </div>
  <div>
    <h2 id="prick">Про колоть</h2>
    <p>Колющие удары – это удары, которые наносятся острием клинка. Не самые эффектные, но очень эффективные удары, за что их и ценили практичные римляне. Следует отметить, что достаточно широко распространено разделение на колющие удары и уколы.</p>

    <p>Колющие удары – это мощные атакующие действия с глубоким проникновением оружия в цель, в то время как уколы – это более быстрые, но и более легкие воздействия, редко способные причинить серьезный ущерб здоровью (за исключением попадания в уязвимые точки на поверхности тела). Уколы служат, в основном, для отвлечения внимания, деморализации противника и выведения его из строя путем причинения минимального физического вреда.</p>

    <p>И колющие удары, и уколы могут производиться не только по прямой, но и по круговой (дуговой) – восходящей и нисходящей траектории. Также возможны и промежуточные варианты. Например, вы наносите прямой колющий удар в солнечное сплетение, а когда ваш противник пытается защититься, выполнив сбив наружу, вы, с обходом его по кругу или только за счет движения руки (подъема локтя и доворота кисти до положения «ногтями вниз», клинок меча расположен горизонтально и лезвие направлено в бок), переводите прямой колющий на дуговой колющий сбоку, который обходит его защиту.</p>
  </div>

  <div>
    <h2 id="cut">Про рубить</h2>
    <p>Рубящие удары выполняются лезвием с использованием массы меча. При нанесении рубящего удара клинок разогнанного меча падает под углом в 90 градусов на поверхность объекта атаки, которую лезвие как бы расклинивает, как топор раскалывает полено.</p>
  </div>
  <div>
    <h2 id="Mordhau">Про удары гардой</h2>
    <p><span style="background: black"><strong style="color: red">Мордхау</strong> — техника хвата меча, при которой удар наносится на манер молота, булавы или топора — эфесом оружия, удерживаемого за клинок.</span><br /> При умелом исполнении, сочетает неожиданность со значительным поражающим эффектом. Эффективна против бронированных целей, в связи с наносимыми дробящими повреждениями. Гардой же можно было нанести удар в слабозащищённые и недоступные для клинка места (например, подмышку). Также, широкая крестовина Европейского меча могла поражать противника за его оружием или щитом.</p>
</body>

resources/views/two-handed sword.blade.php
<head>
  <link href="/sword.css" rel="stylesheet">
  <style>
    h1 {
      font-size: 40px;
      font-family: Verdana, Arial, Helvetica, sans-serif;
      color: red;
    }
    h3 {
      font-family: Algerian;
      color: brown;
    }
  </style>
</head>

<body>
 <div><p><strong style="color: red">Двуручный меч, Двуручник</strong> — современное обозначение 
	различных европейских средневековых мечей, которые удерживали двумя руками, 
	во время боя или определённых церемоний (церемониальное оружие).<br/> 
	При этом их масса и баланс не допускали долговременного одноручного хвата.</p>	
  <img src="dhs.jpg">
 </div>
<a href="/"><h1>/// Go back</h1></a>
</body>